Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
llm-providers
List Llm Provider Configs
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/llm-providers/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "provider": "openai",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_key_ref": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "is_system": false
  }
]

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Response

Successful Response

provider
enum<string>
required

Supported LLM providers.

Available options:
openai,
anthropic,
azure_openai,
bedrock,
vertex_ai,
groq,
google,
together,
cerebras,
fireworks,
piper
id
string<uuid> | null
api_key_ref
string | null
created_at
string<date-time> | null
is_system
boolean
default:false